org.w3._2000._09.xmldsig

## Class X509IssuerSerialType

- java.lang.Object
- - org.w3._2000._09.xmldsig.X509IssuerSerialType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-09-11T10:23:38+02:00",
                 comments="JAXB RI v2.3.7")
      public class X509IssuerSerialType
      extends Object
      implements Serializable

  Java class for X509IssuerSerialType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="X509IssuerSerialType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="X509IssuerName" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="X509SerialNumber" type="{http://www.w3.org/2001/XMLSchema}integer"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `X509IssuerSerialType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getX509IssuerName()` Gets the value of the x509IssuerName property.
    `BigInteger` | `getX509SerialNumber()` Gets the value of the x509SerialNumber property.
    `void` | `setX509IssuerName(String value)` Sets the value of the x509IssuerName property.
    `void` | `setX509SerialNumber(BigInteger value)` Sets the value of the x509SerialNumber property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### X509IssuerSerialType

          public X509IssuerSerialType()

  - ### Method Detail

    - #### getX509IssuerName

          public String getX509IssuerName()

      Gets the value of the x509IssuerName property.
      Returns:
        possible object is `String`

    - #### setX509IssuerName

          public void setX509IssuerName(String value)

      Sets the value of the x509IssuerName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getX509SerialNumber

          public BigInteger getX509SerialNumber()

      Gets the value of the x509SerialNumber property.
      Returns:
        possible object is `BigInteger`

    - #### setX509SerialNumber

          public void setX509SerialNumber(BigInteger value)

      Sets the value of the x509SerialNumber property.
      Parameters:
        `value` - allowed object is `BigInteger`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.